 //禁用右键（防止右键查看源代码） 
 window.oncontextmenu = function () {
 	return false;
 }
 //禁止任何键盘敲击事件（防止F12和shift+ctrl+i调起开发者工具） 
 window.onkeydown = window.onkeyup = window.onkeypress = function () {
 	window.event.returnValue = false;
 	return false;
 }


 disablePictureInPicture = "true"

 window.onload = function () {

 	document.onkeydown = function () {

 		var e = window.event || arguments[0];

 		//屏蔽F12

 		if (e.keyCode == 123) {

 			return false;

 			//屏蔽Ctrl+Shift+I

 		} else if ((e.ctrlKey) && (e.shiftKey) && (e.keyCode == 73)) {

 			return false;

 			//屏蔽Shift+F10

 		} else if ((e.shiftKey) && (e.keyCode == 121)) {

 			return false;

 			//屏蔽Ctrl+U

 		} else if ((e.ctrlKey) && (e.keyCode == 85)) {

 			return false;

 		}

 	}
 	document.oncontextmenu = function () {


 		return false;

 	}
 	if (window.event && window.event.keyCode == 123) {


 		event.keyCode = 0;

 		event.returnValue = false;

 	}

 	if (window.event && window.event.keyCode == 13) {

 		window.event.keyCode = 505;

 	}

 	if (window.event && window.event.keyCode == 8) {


 		window.event.returnValue = false;

 	}

 	if (window.event) {

 		event = window.event;

 	}
 	try {

 		var the = event.srcElement;

 		if (!((the.tagName == "INPUT" && the.type.toLowerCase() == "text") || the.tagName == "TEXTAREA")) {

 			return false;

 		}

 		return true;

 	} catch (e) {

 		return false;

 	}

 }
  //禁止鼠标右击
  document.oncontextmenu = function() {
	event.returnValue = false;
  };
  //禁用开发者工具F12
  document.onkeydown = document.onkeyup = document.onkeypress = function(event) {
	let e = event || window.event || arguments.callee.caller.arguments[0];
	if (e && e.keyCode == 123) {
	  e.returnValue = false;
	  return false;
	}
  };
  let userAgent = navigator.userAgent;
  if (userAgent.indexOf("Firefox") > -1) {
	let checkStatus;
	let devtools = /./;
	devtools.toString = function() {
	  checkStatus = "on";
	};
	setInterval(function() {
	  checkStatus = "off";
	  console.log(devtools);
	  console.log(checkStatus);
	  console.clear();
	  if (checkStatus === "on") {
		let target = "";
		try {
		  window.open("about:blank", (target = "_self"));
		} catch (err) {
		  let a = document.createElement("button");
		  a.onclick = function() {
			window.open("about:blank", (target = "_self"));
		  };
		  a.click();
		}
	  }
	}, 200);
  } else {
	//禁用控制台
	let ConsoleManager = {
	  onOpen: function() {
		alert("Console is opened");
	  },
	  onClose: function() {
		alert("Console is closed");
	  },
	  init: function() {
		let self = this;
		let x = document.createElement("div");
		let isOpening = false,
		  isOpened = false;
		Object.defineProperty(x, "id", {
		  get: function() {
			if (!isOpening) {
			  self.onOpen();
			  isOpening = true;
			}
			isOpened = true;
			return true;
		  }
		});
		setInterval(function() {
		  isOpened = false;
		  console.info(x);
		  console.clear();
		  if (!isOpened && isOpening) {
			self.onClose();
			isOpening = false;
		  }
		}, 200);
	  }
	};
	ConsoleManager.onOpen = function() {
	  //打开控制台，跳转
	  let target = "";
	  try {
		window.open("about:blank", (target = "_self"));
	  } catch (err) {
		let a = document.createElement("button");
		a.onclick = function() {
		  window.open("about:blank", (target = "_self"));
		};
		a.click();
	  }
	};
	ConsoleManager.onClose = function() {
	  alert("Console is closed!!!!!");
	};
	ConsoleManager.init();
  }